POST
/v1/mgmt/thirdparty/app/secret/revokeAuthorization
Descope Project ID and Management Key AuthorizationBearer <token>
Project ID:Management Key as bearer token.
In: header
Request Body
application/json
id?string
name?string
Revoke a named client secret of a third party application, using a valid management key. Returns the remaining secret metadata.
curl -X POST "https://api.descope.com/v1/mgmt/thirdparty/app/secret/revoke" \ -H "Content-Type: application/json" \ -d '{}'{ "secrets": [ { "id": "string", "name": "string", "status": "string", "expireTime": 0, "createdTime": 0 } ]}export interface Response {secrets?: {id?: stringname?: stringstatus?: stringexpireTime?: numbercreatedTime?: number}[]} Was this helpful?
Patch third party application (v2) POST
Patch a third party application using the structured scope-claim mapping model, using a valid management key. Only the fields present in the request change; the legacy attributesScopes field is cleared.
Update third party application (v2) POST
Update a third party application using the structured scope-claim mapping model, using a valid management key. The legacy attributesScopes field is ignored and cleared.